olink.base.uri
Prev | Linking | Next

## olink.base.uri

olink.base.uri — Base URI used in olink hrefs

## Synopsis

    <xsl:param name="olink.base.uri"></xsl:param>

## Description

When cross reference data is collected for resolving olinks, it may be necessary to prepend a base URI to each target's href. This parameter lets you set that base URI when cross reference data is collected. This feature is needed when you want to link to a document that is processed without chunking. The output filename for such a document is not known to the XSL stylesheet; the only target information consists of fragment identifiers such as `#idref`. To enable the resolution of olinks between documents, you should pass the name of the HTML output file as the value of this parameter. Then the hrefs recorded in the cross reference data collection look like `outfile.html#idref`, which can be reached as links from other documents.

Prev | Up | Next
insert.olink.pdf.frag | Home | olink.debug